Retrieve a department
Returns a single department by its internal ID or external reference.
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/departments/{departmentReference}
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-departments.read
URL parameters
| Parameter | Description |
|---|---|
{departmentReference} |
The internal ID or external reference of the department. |
Response properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Unique identifier for the department. |
name.default |
string | — | Read-only | Default name of the department. |
name.translations |
object | — | Read-only | Translated names for supported languages. |
externalCode |
string | — | Read-only | External code for the department. |
External references
The endpoint supports custom external references for the departments collection. Predefined references are not available.
See the external references page for details.
| Collection | Predefined | Custom |
|---|---|---|
departments |
Not available | Supported |
Error responses
| Status | Condition |
|---|---|
400 |
Invalid external reference specification (e.g., unsupported predefined reference or non-integer ID without external reference) |
401 |
Missing or invalid access token, or insufficient scope |
404 |
Department with the given ID or external reference not found |
Examples
Retrieve one department
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/departments/456
Retrieve a department with a custom external reference
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/departments/789?externalReferences=(departments,CustomReferenceName)